(function () {
  var imgs = document.getElementsByTagName('img');
  if (imgs && imgs.length > 0) {
    for (var i = 0; i < imgs.length; i++) {
      if (imgs[i]) {
        imgs[i].style.cssText = imgs[i].style.cssText.replace(/!important/g, '');
      }
    }
  }
  setPrefersColorScheme(isDefaultTheme != "1");
})();

/*先简单兼容下，否则Web整体都是白的，体验较差，后续再接入wx的夜间自动反转方案*/
function setPrefersColorScheme(isDark) {
    setPrefersColorSchemeSimple(isDark)
    setPrefersColorSchemeWx(isDark)
}

function setPrefersColorSchemeSimple(isDark) {
    if (isDark == "1") {
        document.body.style.background = "#1F1F1F";
        document.body.style.color = "#D9D9D9";
    } else {
        document.body.style.removeProperty("background");
        document.body.style.removeProperty("color");
    }
}

function setPrefersColorSchemeWx(isDark) {
    if (isDark == "1") {
        Darkmode.run(document.body.querySelectorAll('*'), {
          mode: 'dark' // force dark mode
        });
        document.getElementsByTagName("html")[0].classList.add("data_color_scheme_dark")
    } else {
        document.getElementsByTagName("html")[0].classList.remove("data_color_scheme_dark")
    }
}